Bug 1730635

Summary: Provide PyQt5 from python3-qt5
Product: [Fedora] Fedora Reporter: Miro Hrončok <mhroncok>
Component: python-qt5Assignee: Rex Dieter <rdieter>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: kde-sig, projects.rg, rdieter, than
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-07-30 17:48:51 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1729593    

Description Miro Hrončok 2019-07-17 08:55:03 UTC
Hello,
according to the https://fedoraproject.org/wiki/Changes/Python_means_Python3 approved change, I'd like to ask the "PyQt5" virtual provide be provided by python3-qt5 instead of python2-qt5 on Fedora 31+.

Let me know if I shall do it.

Thanks.

Comment 1 Raphael Groner 2019-07-25 01:44:48 UTC
For what is the "PyQt5" virtual provide? Maybe it's not needed any more due to gone compatibility.

Comment 2 Miro Hrončok 2019-07-25 09:24:37 UTC
I've assumed it is needed for users who attempt to dnf install PyQt5.

Comment 3 Raphael Groner 2019-07-26 17:28:45 UTC
(In reply to Miro Hrončok from comment #2)
> I've assumed it is needed for users who attempt to dnf install PyQt5.

Well, that says it all. Users are common with python2 when they rely on this virtual Provides and won't expect to get enforced with python3 then. My vote goes for either keep this for python2 (in epel) or drop completely. I won't care about compatibility in case of general python3 enforcement, just point then to EOL announcements.

Comment 4 Rex Dieter 2019-07-30 17:48:51 UTC
%changelog
* Tue Jul 30 2019 Rex Dieter <rdieter@fedoraproject.org> - 5.12.3-5
- move pyuic and friends to -base (#1728273)
- move Provides: PyQt5 to python3-qt5 (#1730635)